| Bsoft 2.0.5 Bernard's software package

Functions | Variables
Bimage_edit.cpp File Reference

Library routines used for editing image contents. More...

`#include "Bimage.h"`
`#include "matrix_linear.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
double | rectangle_edge (Vector3< double > d, Vector3< double > hr)
double | oval_edge (Vector3< double > d, Vector3< double > hr)
double | cylinder_edge (Vector3< double > d, Vector3< double > hr)
double | shell_edge (Vector3< double > d, double mind, double maxd)

## Variables
int | verbose

## Detailed Description

Library routines used for editing image contents.

Author
  Bernard Heymann

Date
  Created: 19980520
  Modified: 20180518

Definition in file Bimage_edit.cpp.

## Function Documentation

## ◆ cylinder_edge()

double cylinder_edge | ( | Vector3< double > | d,
|  | Vector3< double > | hr
| ) |  |

Definition at line 44 of file Bimage_edit.cpp.

## ◆ oval_edge()

double oval_edge | ( | Vector3< double > | d,
|  | Vector3< double > | hr
| ) |  |

Definition at line 27 of file Bimage_edit.cpp.

## ◆ rectangle_edge()

double rectangle_edge | ( | Vector3< double > | d,
|  | Vector3< double > | hr
| ) |  |

Definition at line 17 of file Bimage_edit.cpp.

## ◆ shell_edge()

double shell_edge | ( | Vector3< double > | d,
|  | double | mind,
|  | double | maxd
| ) |  |

Definition at line 65 of file Bimage_edit.cpp.

## Variable Documentation

## ◆ verbose

int verbose